:
########################################################################
# Copyright (C) 1988,1989,1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../bin/validate.sh  1.6  Delta: 1/4/91
########################################################################
#
# validate.sh
# author: loren west
#
# This program validates the existence of the database selected
# from the company form.
# It will create a new database at the users request.
# It communicates to the FourGen:Menus script by exiting with
# a 0 if the database is found, or a 1 if the database isn't found.
#

: ${company:=standard}

dn=/dev/null
dirs=`echo $DBPATH | sed "s/:/ /g"`

# the following is for "no newline" processing for the echo command
a=`echo -n`
if test "$a" = "-n"
then
    # echo doesn't know about the -n...
    nl1=""; nl2="\c"
else
    # echo knows about the -n...
    nl1="-n "; nl2=""
fi

# try to select some data from the database to make sure it exists
# and the user has access permission
msql -d $company "select co_name from stxcntrc" > $dn 2>&1 && exit 0

# database was not found in $DBPATH

echo ${nl1}"
Cannot open the company database.

Do you wish to create a NEW company: '$company'? (Y/N): "${nl2}
read answer

case "$answer" in
  Y|y|Yes|YES|yes)
    echo ${nl1}"
Do you wish to load it with SAMPLE data? (Y-sample/N-standard): "${nl2}
    read answer
    case "$answer" in
      Y|y|Yes|YES|yes)
        data=sample;;
      N|n|No|NO|no)
        data=standard;;
      *)
        exit 1;;
    esac
    $fg/accounting/bin/reload.dat -d $company $data
    exit_status=$?
    echo "Press [Enter] to continue ... \c"
    read junk
    exit $exit_status;;    # exit with the exit status of reload.dat
  *)
    exit 1;;
esac
exit 0
