#####################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../data/all/schema.4gl  1.20  Delta: 3/23/91
#####################################################################


# This file represents the internal definition of
# the tables, columns, indexes, and views.
# It has been automatically generated using FourGen CASE tools.

globals "globals.4gl"

#####################################################################
function define_data()
#####################################################################
#
    define
        a char(18),   # holding bin for the column name
        b smallint,   # holding bin for the column type
        c smallint,   # holding bin for the column length
        d char(1),    # (Y/N) unique index?
        e char(1),    # (Y/N) clustered index?
        f smallint,   # part 1 of index
        g smallint,   # part 2 of index
        h smallint,   # part 3 of index
        i smallint,   # part 4 of index
        j smallint,   # part 5 of index
        k smallint,   # part 6 of index
        l smallint,   # part 7 of index
        m smallint,   # part 8 of index
        n smallint,   # generic counter
        t char(45)    # text portion of the view

    # Set the array boundaries
    let gn_tab = 33    # number of active elements in the tab[] array
    let gx_tab = 33    # maximum number of elements in the tab[] array
    let gn_col = 155   # number of active elements in the col[] array
    let gx_col = 155   # maximum number of elements in the col[] array
    let gn_idx = 19    # number of active elements in the idx[] array
    let gx_idx = 19    # maximum number of elements in the idx[] array
    let gn_viw = 22    # number of active elements in the viw[] array
    let gx_viw = 22    # maximum number of elements in the viw[] array

    # Set some default table elements
    for n = 1 to gn_tab
        let tab[n].col_start = 0
        let tab[n].col_end = 0
        let tab[n].idx_start = 0
        let tab[n].idx_end = 0
        let tab[n].viw_start = 0
        let tab[n].viw_end = 0
    end for

    # Table: pcdtablr
    let tab[1].tabname = "pcdtablr"
    let tab[1].col_start = 1
    let tab[1].col_end = 3
    let tab[1].idx_start = 1
    let tab[1].idx_end = 1
    let tab[1].serial_start = 1000
    for n = 1 to 3
        case n
          when 1  let a="prodid"  let b=0  let c=8
          when 2  let a="line_no"  let b=1  let c=2
          when 3  let a="tabname"  let b=0  let c=18
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxprogr
    let tab[2].tabname = "stxprogr"
    let tab[2].col_start = 4
    let tab[2].col_end = 7
    let tab[2].idx_start = 2
    let tab[2].idx_end = 2
    let tab[2].serial_start = 1000
    for n = 4 to 7
        case n
          when 4  let a="module"  let b=0  let c=8
          when 5  let a="progname"  let b=0  let c=8
          when 6  let a="description"  let b=0  let c=30
          when 7  let a="use_trx"  let b=1  let c=2
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxcompr
    let tab[3].tabname = "stxcompr"
    let tab[3].col_start = 8
    let tab[3].col_end = 10
    let tab[3].serial_start = 1000
    for n = 8 to 10
        case n
          when 8  let a="comp_id"  let b=0  let c=8
          when 9  let a="db_name"  let b=0  let c=14
          when 10  let a="logfile"  let b=0  let c=150
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxcntrc
    let tab[4].tabname = "stxcntrc"
    let tab[4].col_start = 11
    let tab[4].col_end = 26
    let tab[4].serial_start = 1000
    for n = 11 to 26
        case n
          when 11  let a="co_name"  let b=0  let c=30
          when 12  let a="addr1"  let b=0  let c=30
          when 13  let a="addr2"  let b=0  let c=30
          when 14  let a="city"  let b=0  let c=20
          when 15  let a="state"  let b=0  let c=2
          when 16  let a="zip"  let b=0  let c=10
          when 17  let a="county"  let b=0  let c=30
          when 18  let a="country"  let b=0  let c=30
          when 19  let a="curr_asset"  let b=2  let c=4
          when 20  let a="fixed_asset"  let b=2  let c=4
          when 21  let a="curr_liab"  let b=2  let c=4
          when 22  let a="long_term_liab"  let b=2  let c=4
          when 23  let a="capital"  let b=2  let c=4
          when 24  let a="income"  let b=2  let c=4
          when 25  let a="cost_goods"  let b=2  let c=4
          when 26  let a="expense"  let b=2  let c=4
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxperdr
    let tab[5].tabname = "stxperdr"
    let tab[5].col_start = 27
    let tab[5].col_end = 31
    let tab[5].serial_start = 1000
    for n = 27 to 31
        case n
          when 27  let a="period"  let b=0  let c=2
          when 28  let a="period_year"  let b=0  let c=4
          when 29  let a="start_date"  let b=7  let c=4
          when 30  let a="end_date"  let b=7  let c=4
          when 31  let a="balanced"  let b=0  let c=1
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxchrtr
    let tab[6].tabname = "stxchrtr"
    let tab[6].col_start = 32
    let tab[6].col_end = 38
    let tab[6].idx_start = 3
    let tab[6].idx_end = 3
    let tab[6].serial_start = 1000
    for n = 32 to 38
        case n
          when 32  let a="acct_no"  let b=258  let c=4
          when 33  let a="acct_type"  let b=0  let c=15
          when 34  let a="acct_desc"  let b=0  let c=30
          when 35  let a="acct_cat"  let b=0  let c=1
          when 36  let a="processing_seq"  let b=0  let c=1
          when 37  let a="incr_with_crdt"  let b=0  let c=1
          when 38  let a="subtotal_group"  let b=0  let c=30
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxchrtd
    let tab[7].tabname = "stxchrtd"
    let tab[7].col_start = 39
    let tab[7].col_end = 46
    let tab[7].idx_start = 4
    let tab[7].idx_end = 4
    let tab[7].serial_start = 1000
    for n = 39 to 46
        case n
          when 39  let a="acct_no"  let b=2  let c=4
          when 40  let a="department"  let b=0  let c=3
          when 41  let a="period_month"  let b=0  let c=2
          when 42  let a="period_year"  let b=0  let c=4
          when 43  let a="activity"  let b=5  let c=3327
          when 44  let a="balance"  let b=5  let c=3327
          when 45  let a="this_month"  let b=5  let c=3327
          when 46  let a="budget"  let b=5  let c=3327
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxtranr
    let tab[8].tabname = "stxtranr"
    let tab[8].col_start = 47
    let tab[8].col_end = 53
    let tab[8].idx_start = 5
    let tab[8].idx_end = 6
    let tab[8].serial_start = 1000
    for n = 47 to 53
        case n
          when 47  let a="orig_journal"  let b=256  let c=2
          when 48  let a="doc_no"  let b=258  let c=4
          when 49  let a="post_no"  let b=2  let c=4
          when 50  let a="post_date"  let b=7  let c=4
          when 51  let a="doc_date"  let b=263  let c=4
          when 52  let a="ref_code"  let b=0  let c=6
          when 53  let a="doc_desc"  let b=0  let c=30
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxinfor
    let tab[9].tabname = "stxinfor"
    let tab[9].col_start = 54
    let tab[9].col_end = 59
    let tab[9].idx_start = 7
    let tab[9].idx_end = 7
    let tab[9].serial_start = 1000
    for n = 54 to 59
        case n
          when 54  let a="src_type"  let b=0  let c=1
          when 55  let a="src_key"  let b=0  let c=6
          when 56  let a="src_desc"  let b=0  let c=30
          when 57  let a="src_num_desc"  let b=5  let c=3327
          when 58  let a="src_char_desc"  let b=0  let c=6
          when 59  let a="src_acct_no"  let b=2  let c=4
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxactgr
    let tab[10].tabname = "stxactgr"
    let tab[10].col_start = 60
    let tab[10].col_end = 61
    let tab[10].serial_start = 1000
    for n = 60 to 61
        case n
          when 60  let a="grp_key"  let b=0  let c=6
          when 61  let a="grp_desc"  let b=0  let c=30
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxactgd
    let tab[11].tabname = "stxactgd"
    let tab[11].col_start = 62
    let tab[11].col_end = 65
    let tab[11].idx_start = 8
    let tab[11].idx_end = 8
    let tab[11].serial_start = 1000
    for n = 62 to 65
        case n
          when 62  let a="grp_key"  let b=0  let c=6
          when 63  let a="line_no"  let b=1  let c=2
          when 64  let a="acct_no"  let b=2  let c=4
          when 65  let a="department"  let b=0  let c=3
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxerorh
    let tab[12].tabname = "stxerorh"
    let tab[12].col_start = 66
    let tab[12].col_end = 71
    let tab[12].idx_start = 9
    let tab[12].idx_end = 9
    let tab[12].serial_start = 1000
    for n = 66 to 71
        case n
          when 66  let a="language"  let b=0  let c=3
          when 67  let a="userdef"  let b=0  let c=1
          when 68  let a="err_module"  let b=0  let c=8
          when 69  let a="err_program"  let b=0  let c=8
          when 70  let a="err_number"  let b=1  let c=2
          when 71  let a="err_line"  let b=0  let c=40
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxerord
    let tab[13].tabname = "stxerord"
    let tab[13].col_start = 72
    let tab[13].col_end = 79
    let tab[13].idx_start = 10
    let tab[13].idx_end = 10
    let tab[13].serial_start = 1000
    for n = 72 to 79
        case n
          when 72  let a="language"  let b=0  let c=3
          when 73  let a="userdef"  let b=0  let c=1
          when 74  let a="err_module"  let b=0  let c=8
          when 75  let a="err_program"  let b=0  let c=8
          when 76  let a="err_number"  let b=1  let c=2
          when 77  let a="a_b"  let b=0  let c=1
          when 78  let a="line_no"  let b=1  let c=2
          when 79  let a="err_text"  let b=0  let c=60
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxhelpd
    let tab[14].tabname = "stxhelpd"
    let tab[14].col_start = 80
    let tab[14].col_end = 86
    let tab[14].idx_start = 11
    let tab[14].idx_end = 11
    let tab[14].serial_start = 1000
    for n = 80 to 86
        case n
          when 80  let a="language"  let b=0  let c=3
          when 81  let a="userdef"  let b=0  let c=1
          when 82  let a="hlp_module"  let b=0  let c=18
          when 83  let a="hlp_program"  let b=0  let c=18
          when 84  let a="hlp_number"  let b=1  let c=2
          when 85  let a="line_no"  let b=1  let c=2
          when 86  let a="hlp_text"  let b=0  let c=60
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxaddlr
    let tab[15].tabname = "stxaddlr"
    let tab[15].col_start = 87
    let tab[15].col_end = 89
    let tab[15].idx_start = 12
    let tab[15].idx_end = 12
    let tab[15].serial_start = 1000
    for n = 87 to 89
        case n
          when 87  let a="filename"  let b=256  let c=18
          when 88  let a="line_no"  let b=1  let c=2
          when 89  let a="field_label"  let b=0  let c=20
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxaddld
    let tab[16].tabname = "stxaddld"
    let tab[16].col_start = 90
    let tab[16].col_end = 93
    let tab[16].idx_start = 13
    let tab[16].idx_end = 13
    let tab[16].serial_start = 1000
    for n = 90 to 93
        case n
          when 90  let a="filename"  let b=256  let c=18
          when 91  let a="record_key"  let b=0  let c=30
          when 92  let a="line_no"  let b=1  let c=2
          when 93  let a="data"  let b=0  let c=30
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxuniqc
    let tab[17].tabname = "stxuniqc"
    let tab[17].col_start = 94
    let tab[17].col_end = 94
    let tab[17].serial_start = 1000
    for n = 94 to 94
        case n
          when 94  let a="uniq"  let b=262  let c=4
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxckrgr
    let tab[18].tabname = "stxckrgr"
    let tab[18].col_start = 95
    let tab[18].col_end = 96
    let tab[18].serial_start = 1000
    for n = 95 to 96
        case n
          when 95  let a="acct_no"  let b=2  let c=4
          when 96  let a="department"  let b=0  let c=3
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxckrgd
    let tab[19].tabname = "stxckrgd"
    let tab[19].col_start = 97
    let tab[19].col_end = 105
    let tab[19].idx_start = 14
    let tab[19].idx_end = 14
    let tab[19].serial_start = 1000
    for n = 97 to 105
        case n
          when 97  let a="orig_journal"  let b=256  let c=2
          when 98  let a="doc_no"  let b=258  let c=4
          when 99  let a="acct_no"  let b=2  let c=4
          when 100  let a="department"  let b=0  let c=3
          when 101  let a="inv_chk_no"  let b=0  let c=10
          when 102  let a="amount"  let b=5  let c=3327
          when 103  let a="debit_credit"  let b=0  let c=1
          when 104  let a="reconciled"  let b=0  let c=1
          when 105  let a="chk_voided"  let b=0  let c=1
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stgtranr
    let tab[20].tabname = "stgtranr"
    let tab[20].col_start = 106
    let tab[20].col_end = 110
    let tab[20].idx_start = 15
    let tab[20].idx_end = 16
    let tab[20].serial_start = 1000
    for n = 106 to 110
        case n
          when 106  let a="orig_journal"  let b=256  let c=2
          when 107  let a="doc_no"  let b=258  let c=4
          when 108  let a="acct_period"  let b=0  let c=2
          when 109  let a="acct_year"  let b=0  let c=4
          when 110  let a="status"  let b=0  let c=1
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stgactvd
    let tab[21].tabname = "stgactvd"
    let tab[21].col_start = 111
    let tab[21].col_end = 116
    let tab[21].idx_start = 17
    let tab[21].idx_end = 18
    let tab[21].serial_start = 1000
    for n = 111 to 116
        case n
          when 111  let a="orig_journal"  let b=256  let c=2
          when 112  let a="doc_no"  let b=258  let c=4
          when 113  let a="acct_no"  let b=2  let c=4
          when 114  let a="department"  let b=0  let c=3
          when 115  let a="amount"  let b=5  let c=3327
          when 116  let a="debit_credit"  let b=0  let c=1
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxfiltr
    let tab[22].tabname = "stxfiltr"
    let tab[22].col_start = 117
    let tab[22].col_end = 119
    let tab[22].serial_start = 1000
    for n = 117 to 119
        case n
          when 117  let a="unique_id"  let b=0  let c=15
          when 118  let a="seq_no"  let b=1  let c=2
          when 119  let a="sel_filter"  let b=0  let c=200
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxacknd
    let tab[23].tabname = "stxacknd"
    let tab[23].col_start = 120
    let tab[23].col_end = 123
    let tab[23].serial_start = 1000
    for n = 120 to 123
        case n
          when 120  let a="ack_module"  let b=0  let c=8
          when 121  let a="ack_program"  let b=0  let c=8
          when 122  let a="line_no"  let b=1  let c=2
          when 123  let a="ack_text"  let b=0  let c=60
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxnoted
    let tab[24].tabname = "stxnoted"
    let tab[24].col_start = 124
    let tab[24].col_end = 127
    let tab[24].serial_start = 1000
    for n = 124 to 127
        case n
          when 124  let a="filename"  let b=256  let c=18
          when 125  let a="record_key"  let b=0  let c=30
          when 126  let a="line_no"  let b=1  let c=2
          when 127  let a="data"  let b=0  let c=60
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxtodod
    let tab[25].tabname = "stxtodod"
    let tab[25].col_start = 128
    let tab[25].col_end = 130
    let tab[25].serial_start = 1000
    for n = 128 to 130
        case n
          when 128  let a="todo_user"  let b=0  let c=10
          when 129  let a="line_no"  let b=1  let c=2
          when 130  let a="todo_text"  let b=0  let c=60
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxtxtdd
    let tab[26].tabname = "stxtxtdd"
    let tab[26].col_start = 131
    let tab[26].col_end = 133
    let tab[26].serial_start = 1000
    for n = 131 to 133
        case n
          when 131  let a="txt_key"  let b=0  let c=30
          when 132  let a="line_no"  let b=1  let c=2
          when 133  let a="dflt_text"  let b=0  let c=74
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxkeysr
    let tab[27].tabname = "stxkeysr"
    let tab[27].col_start = 134
    let tab[27].col_end = 135
    let tab[27].serial_start = 1000
    for n = 134 to 135
        case n
          when 134  let a="key_code"  let b=1  let c=2
          when 135  let a="key_desc"  let b=0  let c=15
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxactnr
    let tab[28].tabname = "stxactnr"
    let tab[28].col_start = 136
    let tab[28].col_end = 140
    let tab[28].serial_start = 1000
    for n = 136 to 140
        case n
          when 136  let a="language"  let b=0  let c=3
          when 137  let a="act_key"  let b=0  let c=15
          when 138  let a="description"  let b=0  let c=30
          when 139  let a="os_command"  let b=0  let c=74
          when 140  let a="press_enter"  let b=0  let c=1
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxhotkd
    let tab[29].tabname = "stxhotkd"
    let tab[29].col_start = 141
    let tab[29].col_end = 145
    let tab[29].serial_start = 1000
    for n = 141 to 145
        case n
          when 141  let a="hot_key"  let b=1  let c=2
          when 142  let a="act_key"  let b=0  let c=15
          when 143  let a="hot_module"  let b=0  let c=8
          when 144  let a="hot_program"  let b=0  let c=8
          when 145  let a="hot_user"  let b=0  let c=10
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxnvgtd
    let tab[30].tabname = "stxnvgtd"
    let tab[30].col_start = 146
    let tab[30].col_end = 150
    let tab[30].serial_start = 1000
    for n = 146 to 150
        case n
          when 146  let a="act_key"  let b=0  let c=15
          when 147  let a="line_no"  let b=1  let c=2
          when 148  let a="nav_module"  let b=0  let c=8
          when 149  let a="nav_program"  let b=0  let c=8
          when 150  let a="nav_user"  let b=0  let c=10
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxmssgr
    let tab[31].tabname = "stxmssgr"
    let tab[31].col_start = 151
    let tab[31].col_end = 155
    let tab[31].idx_start = 19
    let tab[31].idx_end = 19
    let tab[31].serial_start = 1000
    for n = 151 to 155
        case n
          when 151  let a="language"  let b=0  let c=3
          when 152  let a="mssg_module"  let b=0  let c=8
          when 153  let a="mssg_program"  let b=0  let c=8
          when 154  let a="mssg_number"  let b=1  let c=2
          when 155  let a="message"  let b=0  let c=132
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stgtranv
    let tab[32].tabname = "stgtranv"
    let tab[32].viw_start = 1
    let tab[32].viw_end = 9

    # Table: stgactvv
    let tab[33].tabname = "stgactvv"
    let tab[33].viw_start = 10
    let tab[33].viw_end = 22

    # Indexes:
    for n = 1 to 19
        case n
          when 1
            let a="i1dtablr"  let d="N"  let e="N"
            let f=1  let g=2  let h=0  let i=0
            let j=0  let k=0  let l=0  let m=0
          when 2
            let a="i1xprogr"  let d="N"  let e="N"
            let f=1  let g=2  let h=0  let i=0
            let j=0  let k=0  let l=0  let m=0
          when 3
            let a="i1xchrtr"  let d="Y"  let e="N"
            let f=1  let g=0  let h=0  let i=0
            let j=0  let k=0  let l=0  let m=0
          when 4
            let a="i1xchrtd"  let d="Y"  let e="N"
            let f=1  let g=2  let h=4  let i=3
            let j=0  let k=0  let l=0  let m=0
          when 5
            let a="i1xtranr"  let d="Y"  let e="N"
            let f=1  let g=2  let h=0  let i=0
            let j=0  let k=0  let l=0  let m=0
          when 6
            let a="i2xtranr"  let d="N"  let e="N"
            let f=6  let g=0  let h=0  let i=0
            let j=0  let k=0  let l=0  let m=0
          when 7
            let a="i1xinfor"  let d="Y"  let e="N"
            let f=1  let g=2  let h=0  let i=0
            let j=0  let k=0  let l=0  let m=0
          when 8
            let a="i1xactgd"  let d="N"  let e="N"
            let f=1  let g=2  let h=0  let i=0
            let j=0  let k=0  let l=0  let m=0
          when 9
            let a="i1xerorh"  let d="Y"  let e="N"
            let f=3  let g=4  let h=5  let i=0
            let j=0  let k=0  let l=0  let m=0
          when 10
            let a="i1xerord"  let d="N"  let e="N"
            let f=3  let g=4  let h=5  let i=6
            let j=7  let k=0  let l=0  let m=0
          when 11
            let a="i1xhelpd"  let d="N"  let e="N"
            let f=3  let g=4  let h=5  let i=6
            let j=0  let k=0  let l=0  let m=0
          when 12
            let a="i1xaddlr"  let d="N"  let e="N"
            let f=1  let g=0  let h=0  let i=0
            let j=0  let k=0  let l=0  let m=0
          when 13
            let a="i1xaddld"  let d="Y"  let e="N"
            let f=1  let g=2  let h=3  let i=0
            let j=0  let k=0  let l=0  let m=0
          when 14
            let a="i1xckrgd"  let d="N"  let e="N"
            let f=3  let g=4  let h=0  let i=0
            let j=0  let k=0  let l=0  let m=0
          when 15
            let a="i1gtranr"  let d="Y"  let e="N"
            let f=1  let g=2  let h=0  let i=0
            let j=0  let k=0  let l=0  let m=0
          when 16
            let a="i2gtranr"  let d="N"  let e="N"
            let f=5  let g=4  let h=3  let i=0
            let j=0  let k=0  let l=0  let m=0
          when 17
            let a="i1gactvd"  let d="N"  let e="N"
            let f=1  let g=2  let h=0  let i=0
            let j=0  let k=0  let l=0  let m=0
          when 18
            let a="i2gactvd"  let d="N"  let e="N"
            let f=3  let g=4  let h=0  let i=0
            let j=0  let k=0  let l=0  let m=0
          when 19
            let a="i1xmssgr"  let d="N"  let e="Y"
            let f=1  let g=2  let h=3  let i=4
            let j=0  let k=0  let l=0  let m=0
        end case
        let idx[n].idxname = a
        let idx[n].unique_idx = d
        let idx[n].clustered = e
        let idx[n].part[1] = f
        let idx[n].part[2] = g
        let idx[n].part[3] = h
        let idx[n].part[4] = i
        let idx[n].part[5] = j
        let idx[n].part[6] = k
        let idx[n].part[7] = l
        let idx[n].part[8] = m
    end for

    # Views:
    for n = 1 to 22
        case n
          when 1 let t="create view stgtranv (orig_journal,doc_no,pos"
          when 2 let t="t_no,post_date,doc_date,ref_code,doc_desc,acc"
          when 3 let t="t_period,acct_year,status) as select x1.orig_"
          when 4 let t="journal ,x1.doc_no ,x1.post_no ,x1.post_date"
          when 5 let t=" ,x1.doc_date ,x1.ref_code ,x1.doc_desc ,x0.a"
          when 6 let t="cct_period ,x0.acct_year ,x0.status from  stg"
          when 7 let t="tranr x0 , stxtranr x1 where((x0.orig_journal"
          when 8 let t=" = x1.orig_journal ) AND (x0.doc_no = x1.doc_"
          when 9 let t="no ) ) ;"
          when 10 let t="create view  stgactvv (orig_journal,doc_no,po"
          when 11 let t="st_no,post_date,doc_date,ref_code,doc_desc,ac"
          when 12 let t="ct_period,acct_year,status,acct_no,department"
          when 13 let t=",amount,debit_credit) as select x1.orig_journ"
          when 14 let t="al ,x1.doc_no ,x1.post_no ,x1.post_date ,x1.d"
          when 15 let t="oc_date ,x1.ref_code ,x1.doc_desc ,x0.acct_pe"
          when 16 let t="riod ,x0.acct_year ,x0.status ,x2.acct_no ,x2"
          when 17 let t=".department ,x2.amount ,x2.debit_credit from"
          when 18 let t=" stgtranr x0 , stxtranr x1 , stgactvd x2 wher"
          when 19 let t="e ((((x0.doc_no = x1.doc_no ) AND (x0.doc_no"
          when 20 let t=" = x2.doc_no ) ) AND (x0.orig_journal = x1.or"
          when 21 let t="ig_journal ) ) AND (x0.orig_journal = x2.orig"
          when 22 let t="_journal) ) ;"
        end case
        let viw[n].v_text = t
    end for

end function
# define_data()
